function [phones_list] = wphl_timit()
%function [phones_list] = wphl_timit()
%   Vrati strukturu obsahujic Nx2, kde v prvnim sloupci jsou slova,
%   serazena podle abecedy a v druhem je posloupnost fonemu daneho slova.
%
%  !!!!! V tomto souboru se musi nastvit cesta k souboru v adresari databaze TimiT
%	'xxxxx/TimiT/timitdic.txt' - vis funkce ktera otevira soubor dole
%	Databazi TimiT je nutne stahnout. Je na ni citace na konci DP v literature.
%

phones_list = {};

% Otevru soubor s lexikonem slov
fid = fopen('/DISK2/Dokumenty/Diplomka_zpracovani_reci/Zvukove_soubory/TimiT/timitdic.txt');
i = 1;
radek = 1;
tline = fgetl(fid);
while(tline ~= -1)
% Zpracuji akt. vetu    
    %Urcuji z daneho radku klicove slovo
    slovo = ''; %inicializuji slovo
    while(strcmp(tline(i), ' ') ~= 1)
        slovo = strcat(slovo, tline(i));
        i = i+1;
    end %while
    
    phones_list{radek,1} = slovo;

    while(strcmp(tline(i), '/') ~= 1) %Prochazim radek az k pocatku fonemoveho prepisu, ktery zacina znakem /
        i = i + 1;
    end

    p_k = {};
    i = i + 1;
    while(strcmp(tline(i), '/') ~= 1) %Prochazim cely radek, az do ukoncovaciho znaku '/'
%             tline(i)
        buf = ''; %pomocny buffer pro ukladani dilcich fonemu
        while(strcmp(tline(i), ' ') ~= 1 && strcmp(tline(i), '/') ~= 1 )
            if(strcmp(tline(i), '1') ~= 1 && strcmp(tline(i), '2') ~= 1) % ZRUSIM STRESS MARKERY!!
                buf = strcat(buf, tline(i));
            end
            i = i + 1;
        end %while
        
        p_k = [p_k remove_stress_markers(buf)];

        if(strcmp(tline(i), '/') ~= 1) %Uz neinkrementuji
            i = i + 1;
        end
    end %while
    
    phones_list{radek,2} = p_k;

% Dalsi veta
    tline = fgetl(fid);
    i = 1;
    radek = radek+1;
end %while



fclose(fid); %zavru soubor
